org.eclipse.actf.visualization.ui

## Interface IPositionSize

All Known Subinterfaces:
  IProblemItemImage

    public interface IPositionSize

Interface to store position and size information of Item

### Method Summary

Methods
`int` `getArea()`
`int` `getHeight()`
`int` `getWidth()`
`int` `getX()`
`int` `getY()`
`void` `setHeight(int i)` Set height
`void` `setWidth(int i)` Set width
`void` `setX(int i)` Set X position
`void` `setY(int i)` Set Y position

### Method Detail

#### getArea

    int getArea()

Returns:
  area size of Item

#### getHeight

    int getHeight()

Returns:
  height of Item

#### getWidth

    int getWidth()

Returns:
  width of Item

#### getX

    int getX()

Returns:
  X position of Item

#### getY

    int getY()

Returns:
  Y position of Item

#### setHeight

    void setHeight(int i)

Set height

Parameters:
  `i` - height of Item

#### setWidth

    void setWidth(int i)

Set width

Parameters:
  `i` - width of Item

#### setX

    void setX(int i)

Set X position

Parameters:
  `i` - X position of Item

#### setY

    void setY(int i)

Set Y position

Parameters:
  `i` - Y position of Item